{% extends 'base.html.twig' %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Ansiedlungsgesuche <span class="text-secondary">({{ lookingForPropertyRequests|length }})</span></span>
        {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
            <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#looking_for_property_request_filter" aria-expanded="false" aria-controls="looking_for_property_request_filter">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
                <span class="mdc-button__label d-none d-md-block">Filter</span>
                {% if lookingForPropertyRequestFilter.isFilterActive() %}
                    <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                        <span class="visually-hidden">Filter aktiv</span>
                    </span>
                {% endif %}
            </button>
            <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#looking_for_property_request_search" aria-expanded="false" aria-controls="looking_for_property_request_search">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
                <span class="mdc-button__label d-none d-md-block">Suche</span>
                {% if lookingForPropertyRequestSearchForm.vars.data.getText() != null %}
                    <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                        <span class="visually-hidden">Suche aktiv</span>
                    </span>
                {% endif %}
            </button>
        {% endif %}

        {% if canCreateLookingForPropertyRequest == true %}
            <a href="{{ path('company_location_management_looking_for_property_request_create') }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
                <span class="mdc-button__label d-md-none">Ansiedlungsgesuch</span>
                <span class="mdc-button__label d-none d-md-block">{% if is_granted('ROLE_PROPERTY_SEEKER') %}Ansiedlungsgesuch aufgeben{% else %}Ansiedlungsgesuch erfassen{% endif %}</span>
            </a>
        {% endif %}
    </div>
    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
        <div class="collapse bg-white" id="looking_for_property_request_search">
            <div class="p-4">
                {{ form_start(lookingForPropertyRequestSearchForm) }}
                <div class="row mb-4">
                    <div class="col-md-9">
                        {% include 'component/mdc_search_field_component.html.twig' with {
                            'id': lookingForPropertyRequestSearchForm.text.vars.id ~ '_mdc_text_field',
                            'labelId': lookingForPropertyRequestSearchForm.text.vars.id ~ '_label',
                            'label': lookingForPropertyRequestSearchForm.text.vars.label,
                            'type': 'text',
                            'name': lookingForPropertyRequestSearchForm.text.vars.full_name,
                            'value': lookingForPropertyRequestSearchForm.text.vars.value,
                            'disabled': lookingForPropertyRequestSearchForm.text.vars.disabled,
                            'required': lookingForPropertyRequestSearchForm.text.vars.required,
                            'suffix': null,
                        } only %}
                    </div>
                    <div class="col-md-3 mt-2">
                        {{ form_widget(lookingForPropertyRequestSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                    </div>
                </div>
                {{ form_row(lookingForPropertyRequestSearchForm._token) }}
                {{ form_end(lookingForPropertyRequestSearchForm, {'render_rest': false}) }}
            </div>
        </div>
        <div class="collapse bg-white" id="looking_for_property_request_filter">
            <div class="p-4">
                {{ form_start(lookingForPropertyRequestFilterForm) }}
                {% include 'company_location_management/form/looking_for_property_request/looking_for_property_request_filter_form.html.twig' with {'form': lookingForPropertyRequestFilterForm} only %}
                {{ form_widget(lookingForPropertyRequestFilterForm.apply, {'label': 'Übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading'}}) }}
                {{ form_widget(lookingForPropertyRequestFilterForm.reset, {'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
                {{ form_row(lookingForPropertyRequestFilterForm._token) }}
                {{ form_end(lookingForPropertyRequestFilterForm, {'render_rest': false}) }}
            </div>
        </div>
    {% endif %}
{% endblock %}

{% block tabBar %}
    {% include 'component/mdc_tab_bar_component.html.twig' with {
        'id': 'looking_for_property_request_overview_tab_bar',
        'tabs': [
            {'name': 'Aktive Ansiedlungsgesuche', 'id': 'looking_for_property_request_overview_active_tab', 'url': path('company_location_management_looking_for_property_request_overview') ,'active': false},
            {'name': 'Inaktive Ansiedlungsgesuche', 'id': 'looking_for_property_request_overview_inactive_tab', 'url': path('company_location_management_looking_for_property_request_overview_inactive') ,'active': false},
            {'name': 'Archiv', 'id': 'looking_for_property_request_overview_archive_tab', 'url': path('company_location_management_looking_for_property_request_overview_archive') , 'active': false},
        ]
    } only %}
{% endblock %}
